ServletCategory (Groovy 5.1.0)
Description: declaration: package: groovy.servlet, class: ServletCategory

Package groovy.servlet

# Class ServletCategory

java.lang.Object
groovy.servlet.ServletCategory

public class ServletCategory extends Object
Servlet support.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServletCategory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Object`
  `get(jakarta.servlet.http.HttpSession session, String key)`
  `static Object`
  `get(jakarta.servlet.jsp.PageContext context, String key)`
  `static Object`
  `get(jakarta.servlet.ServletContext context, String key)`
  `static Object`
  `get(jakarta.servlet.ServletRequest request, String key)`
  `static Object`
  `getAt(jakarta.servlet.http.HttpSession session, String key)`
  `static Object`
  `getAt(jakarta.servlet.jsp.PageContext context, String key)`
  `static Object`
  `getAt(jakarta.servlet.ServletContext context, String key)`
  `static Object`
  `getAt(jakarta.servlet.ServletRequest request, String key)`
  `static void`
  `putAt(jakarta.servlet.http.HttpSession session, String key, Object value)`
  `static void`
  `putAt(jakarta.servlet.jsp.PageContext context, String key, Object value)`
  `static void`
  `putAt(jakarta.servlet.ServletContext context, String key, Object value)`
  `static void`
  `putAt(jakarta.servlet.ServletRequest request, String key, Object value)`
  `static void`
  `set(jakarta.servlet.http.HttpSession session, String key, Object value)`
  `static void`
  `set(jakarta.servlet.jsp.PageContext context, String key, Object value)`
  `static void`
  `set(jakarta.servlet.ServletContext context, String key, Object value)`
  `static void`
  `set(jakarta.servlet.ServletRequest request, String key, Object value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServletCategory

    public ServletCategory()

- ## Method Details

  - ### get

    public static Object get(jakarta.servlet.ServletContext context, String key)

  - ### get

    public static Object get(jakarta.servlet.http.HttpSession session, String key)

  - ### get

    public static Object get(jakarta.servlet.ServletRequest request, String key)

  - ### get

    public static Object get(jakarta.servlet.jsp.PageContext context, String key)

  - ### getAt

    public static Object getAt(jakarta.servlet.ServletContext context, String key)

  - ### getAt

    public static Object getAt(jakarta.servlet.http.HttpSession session, String key)

  - ### getAt

    public static Object getAt(jakarta.servlet.ServletRequest request, String key)

  - ### getAt

    public static Object getAt(jakarta.servlet.jsp.PageContext context, String key)

  - ### set

    public static void set(jakarta.servlet.ServletContext context, String key, Object value)

  - ### set

    public static void set(jakarta.servlet.http.HttpSession session, String key, Object value)

  - ### set

    public static void set(jakarta.servlet.ServletRequest request, String key, Object value)

  - ### set

    public static void set(jakarta.servlet.jsp.PageContext context, String key, Object value)

  - ### putAt

    public static void putAt(jakarta.servlet.ServletContext context, String key, Object value)

  - ### putAt

    public static void putAt(jakarta.servlet.http.HttpSession session, String key, Object value)

  - ### putAt

    public static void putAt(jakarta.servlet.ServletRequest request, String key, Object value)

  - ### putAt

    public static void putAt(jakarta.servlet.jsp.PageContext context, String key, Object value)